#
# spec file for package pam_ldap (Version 122)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  cyrus-sasl cyrus-sasl-devel openldap2 openldap2-client openldap2-devel openssl openssl-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl cyrus-sasl-devel db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2 openldap2-client openldap2-devel openssl openssl-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         pam_ldap
Copyright:    LGPL ; PADL Software Pty Ltd
Group:        System Environment/Libraries
Provides:     pam_ldap
Autoreqprov:  on
Version:      122
Release:      77
Summary:      PAM module for LDAP authentication
Url:          http://www.padl.com/pam_ldap.html
Source:       pam_ldap-%{version}.tar.bz2
Source1:      README.SuSE
Patch:        pam_ldap-%{version}.dif
BuildRoot:    /var/tmp/%{name}-root

%description
This is a PAM Module, which supports LDAP. The advantages of
this special version are:
o Support for changing passwords in LDAP
o Compatibility with the nss_ldap configuration file format

Authors:
--------
    PADL Software Pty Ltd <dev@padl.com>

SuSE series: n

%prep
%setup
%patch -E
cp -v  %{S:1} .

%build
%{suse_update_config -f}
CFLAGS="$RPM_OPT_FLAGS" ./configure --enable-nds \
                                    --with-ldap-lib=openldap
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/openldap
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc COPYING.LIB README README.SuSE ChangeLog ldap.conf pam.d
/lib/security/pam_ldap.so
%dir /etc/openldap

%changelog -n pam_ldap
* Tue Aug 07 2001 - cihlar@suse.cz
- update to version 122
- added Url
* Wed Jun 20 2001 - pblaha@suse.cz
- update on version 118
* Mon May 07 2001 - kukuk@suse.de
- Fix more example config files (get ride of pam_pwdb, use
  correct pam_unix options)
* Fri Apr 27 2001 - kukuk@suse.de
- Fix name of config option
- Don't print "Error: success" if we are no LDAP user
- Fix example config files (module stacking, syntax error)
* Wed Mar 21 2001 - ro@suse.de
- fixed neededforbuild again
* Fri Mar 16 2001 - pblaha@suse.cz
- update on version 105
- add buildroot
* Thu Mar 15 2001 - ro@suse.de
- fixed neededforbuild for openldap
* Tue Feb 27 2001 - ro@suse.de
- changed neededforbuild <cyrus-sasl> to <cyrus-sasl cyrus-sasl-devel>
* Wed Jan 31 2001 - choeger@suse.de
- link against ldaplib2
* Tue Dec 05 2000 - kukuk@suse.de
- Update to version 82
- Don't log user name of failed logins
* Sat Nov 04 2000 - kukuk@suse.de
- Use ldaplib in neededforbuild
* Wed Sep 27 2000 - kukuk@suse.de
- Fix sshd example
* Wed May 17 2000 - kukuk@suse.de
- Update to version 51
- Adjust example pam config files (Bug 2862)
* Tue Feb 15 2000 - kukuk@suse.de
- Update to version 46
* Tue Oct 12 1999 - kukuk@suse.de
- Update to version 42
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Aug 25 1999 - kukuk@suse.de
- Update to version 39
* Mon Jul 12 1999 - kukuk@suse.de
- Add README.SuSE and ldap.conf to documentation
- Create /etc/openldap directory
* Fri Jun 25 1999 - kukuk@suse.de
- Update to version 36
* Wed Jun 16 1999 - kukuk@suse.de
- First Version
